/*
 * Created on Nov 1, 2004
 * Copyright (C) Andrea Schweer, 2004
 *
 * This file is part of the Greenstone Alerting Service.
 * Refer to the COPYING file in the base directory of this package
 * for licensing information.
 */
package org.greenstone.gsdlas.profiles;

import java.util.*;
import java.util.Set;
import java.util.TreeSet;

/**
 * @author schweer
 * 
 * TODO To change the template for this generated type comment go to Window -
 * Preferences - Java - Code Style - Code Templates
 */
public class QueryPredicate extends Predicate {
    
    private Set containsWords = new TreeSet();
    private Set notContainsWords = new TreeSet();
    
    public QueryPredicate (String field, String query) {
        super.field = field;
        super.value = query;
    }
    public boolean isSatisfied(Map event) {
        return true;
    }
    
    public String toString() {
        return field + " matches " + value;
    }
}